METALINK_T(3)

NAME
metalink_t - Metalink top level structure.

SYNOPSIS
#include <metalink/metalink_types.h>

DESCRIPTION
metalink_t is a top level structure that contains metadata for Metalink file and list of metalink_file_t(3) structure. Typically metalink_t is created by parser function such as metalink_parse_file(3).

STRUCTURE MEMBERS
metalink_file_t **files;
char *identity;
char *tags;

  files
Null terminated array of pointer of metalink_file_t(3) structure. This corresponds to files tag in Metalink XML file. Each metalink_file_t(3) structure corresponds to file element in Metalink XML file.

  identity
Null terminated string which corresponds to identity element in Metalink XML file.

  tags
Null terminated string which corresponds to tags element in Metalink XML file.

SEE ALSO
metalink_delete_t(3), metalink_file_t(3), metalink_parse_file(3)